@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* Variables */
:root {
  --color: #f8c8dc;
  --shade: #ffff;
  --standOut: #000;
}

/* Apply to all */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

/* Header */
header img {
  height: 200px;
  width: 200px;
  padding: 20px;
}
.toggle {
  position: absolute;
  width: 60px;
  height: 60px;
  background: var(--color) url(../Images/menu.png);
  background-repeat: no-repeat;
  background-size: 30px;
  background-position: center;
  cursor: pointer;
  top: 0;
  right: 0;
}
.toggle.active {
  background: var(--color) url(../Images/close.png);
  background-repeat: no-repeat;
  background-size: 30px;
  background-position: center;
  z-index: 100;
}
.menu {
  display: none;
}
.menu.active {
  position: absolute;
  background-color: var(--color);
  top: 0;
  right: 0;
  width: 300px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 50;
}
.menu.active ul {
  position: relative;
  list-style: none;
}
.menu.active ul li a {
  color: var(--shade);
  text-decoration: none;
  font-size: 24px;
}
.menu.active ul li a:hover {
  color: var(--standOut);
  text-decoration: none;
  font-weight: 500;
}
.location h2 {
  color: var(--color);
  padding: 20px;
  text-align: center;
}
.navigation {
  background-color: var(--color);
  padding: 20px;
  margin: 20px;
  display: flex;
  justify-content: space-between;
}
.navigation a {
  text-decoration: none;
  font-size: 20px;
  color: var(--shade);
}
.navigation-item:hover {
  color: var(--standOut);
}

/* About Me */
.about {
  background-color: var(--color);
  padding: 20px;
  margin: 20px;
  display: flex;
  color: var(--shade);
}
.about p {
  padding: 20px;
  justify-content: flex-end;
  color: var(--standOut);
}
.about h2 {
  padding: 20px;
  justify-content: flex-end;
}
.about img {
  justify-content: flex-start;
  height: 175px;
}
.about strong {
  color: var(--shade);
}
.sign {
  padding: 5px;
  margin-bottom: 10px;
}
.about-btn {
  cursor: pointer;
  display: flex;
  justify-content: center;
  background: var(--shade);
  color: var(--color);
  text-decoration: none;
  padding: 10px 30px;
  margin: 10px;
}
.about-btn:hover {
  transform: scale(0.95);
}
.about-btn img {
  width: 20px;
  height: 20px;
  padding: 5px;
}
.about-btn p {
  align-items: center;
  justify-content: center;
}

/* The Prices */
h3 {
  text-align: center;
}
.price {
  background-color: var(--color);
  padding: 20px;
  margin: 20px;
  color: var(--shade);
}
.prices {
  color: var(--color);
  text-align: center;
}
.price-hover {
  font-size: 20px;
  text-decoration: none;
  color: var(--standOut);
}
.price-hover:hover {
  color: var(--shade);
}
.price-item {
  list-style-type: none;
  color: var(--standOut);
  font-size: 15px;
}

/* Size Guide */
.portion {
  background-color: var(--color);
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 0px;
  padding: 20px;
  color: var(--shade);
}
.portion h1,
h3 {
  text-align: center;
}
.portion h1 {
  font-size: 30px;
}
.size {
  background-color: var(--color);
  padding: 20px;
  margin-top: 0px;
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 20px;
  display: flex;
  color: var(--shade);
  align-items: center;
  justify-content: center;
}

/* Our Products */
.products {
  margin: 20px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  text-align: center;
}
.products .product .preview img {
  max-width: 200px;
}
.product a {
  text-decoration: none;
  color: var(--shade);
}
.products .product {
  padding: 20px;
  background: var(--color);
}
.products .product:hover {
  box-shadow: 0 10px 30px var(--standOut);
}

/* Further Products */
.info {
  background-color: var(--color);
  padding: 20px;
  margin: 20px;
  color: var(--shade);
}
.info h1 {
  text-align: center;
  padding-bottom: 5px;
}
.info h3 {
  text-align: left;
  padding-bottom: 0px;
}
.info p {
  color: var(--standOut);
  padding-bottom: 15px;
}
.info .product-price {
  padding: 0px;
  padding-top: 0px;
}
.gallery-title {
  background-color: var(--color);
  padding-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: 20px;
  margin-right: 20px;
  color: var(--shade);
}
.gallery-title h1 {
  text-align: center;
  padding-bottom: 5px;
}
.gallery-single {
  background-color: var(--color);
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--shade);
}
.gallery-single img {
  max-width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 10px;
  padding-top: 20px;
}
.gallery-start {
  background-color: var(--color);
  margin-left: 20px;
  margin-right: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--shade);
}
.gallery-start img {
  max-width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 10px;
  padding-top: 20px;
}
.gallery-middle {
  background-color: var(--color);
  margin-left: 20px;
  margin-right: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--shade);
}
.gallery-middle img {
  max-width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 10px;
  padding-top: 10px;
}
.gallery-end {
  background-color: var(--color);
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--shade);
}
.gallery-end img {
  max-width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 20px;
  padding-top: 10px;
}

.menus {
  text-decoration: none;
  color: var(--shade);
}
.menus a {
  text-align: center;
}
a:link {
  text-decoration: none;
}

/* Contact Us */
.contact {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
.contact-form {
  margin: 20px;
  margin-right: 5px;
  margin-bottom: 20px;
  position: relative;
  background: var(--color);
  width: 70%;
  padding: 60px 40px 20px;
}
.contact-form form {
  width: 100%;
}
.contact-form .row {
  width: 100%;
  display: flex;
}
.contact-form .input50 {
  width: 50%;
  margin: 0 10px;
}
.contact-form .input100 {
  width: 510%;
  margin: 0 10px;
}
.contact-form .row input,
.contact-form .row textarea {
  position: relative;
  border: 1px solid rgba(0, 0, 0, 0.2);
  color: var(--standOut);
  background: transparent;
  width: 100%;
  padding: 10px;
  outline: none;
  font-size: 16px;
  font-weight: 300;
  margin: 10px 0;
  resize: none;
}
.contact-form .row textarea {
  height: 150px;
}
.contact-form .row input[type="submit"] {
  background-color: var(--shade);
  color: var(--color);
  margin: 0;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 600;
  border: 0;
  cursor: pointer;
}
.contact-info {
  z-index: 10;
  width: 30%;
  background: var(--color);
  margin: 20px;
  margin-left: 5px;
  padding: 60px 40px 20px;
}
.contact-info .info-box {
  display: flex;
  align-items: flex-start;
  margin-bottom: 40px;
}
.contact-info .info-box .contact-icon {
  width: 30px;
  margin-right: 40px;
}
.contact-info .info-box .details h4 {
  color: var(--shade);
}
.contact-info .info-box .details a {
  color: var(--standOut);
}
.submit:hover {
  transform: scale(0.95);
}

/* Footer */
footer {
  background-color: var(--color);
  display: flex;
  justify-content: center;
  margin-left: 20px;
  margin-right: 20px;
}
.hygiene {
  padding: 10px;
  height: 150px;
}
.socials {
  height: 60px;
  padding: 10px;
  padding-bottom: 5px;
}
.mail {
  height: 60px;
  padding: 10px;
  padding-bottom: 5px;
  padding-left: 40px;
}
.company {
  height: 75px;
  display: flex;
  align-items: center;
  padding: 20px;
}

/* ERROR */
.error {
  background-color: var(--color);
  padding: 20px;
  margin: 20px;
  color: var(--shade);
  text-align: center;
}
.error h4 {
  color: var(--standOut);
}
.error-btn {
  cursor: pointer;
  display: inline-block;
  background: var(--shade);
  color: var(--color);
  text-decoration: none;
  padding: 10px 30px;
}
.error-btn:hover {
  transform: scale(0.95);
}

/* Successful form response */
.success {
  color: var(--standOut);
  margin: 2rem;
  text-align: center;
  animation: fadeIn linear 2s;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Smaller Screens */
@media (max-width: 564px) {
  .products {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .product {
    width: 100%;
  }
}
@media (max-width: 826px) {
  .products {
    grid-template-columns: repeat(2, 1fr);
  }
  .gallery-single {
    flex-direction: column;
  }
  .gallery-start {
    flex-direction: column;
  }
  .gallery-middle {
    flex-direction: column;
  }
  .gallery-end {
    flex-direction: column;
  }
}
@media (max-width: 950px) {
  .contact {
    flex-direction: column;
  }
  .contact-form {
    width: 100%;
    margin: 10px;
    margin-bottom: 5px;
  }
  .contact-form .row {
    flex-direction: column;
  }
  .contact-form .input50,
  .contact-form .input100 {
    width: 100%;
  }
  .contact-info {
    width: 100%;
    margin: 10px;
    margin-top: 5px;
    margin-bottom: 20px;
  }
  .size img {
    width: 100%;
    height: 100%;
  }
  .navigation {
    flex-direction: column;
    text-align: center;
  }
}
